Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class AttachmentPartImpl

    java.lang.Object
      javax.xml.soap.AttachmentPart
          org.apache.axis.attachments.AttachmentPartImpl

All Implemented Interfaces:
  Part, Serializable

public class AttachmentPartImpl
extends javax.xml.soap.AttachmentPart
implements Part

An attachment part. * *

See Also:
  Serialized Form

Constructor Summary
`AttachmentPartImpl()` Constructor AttachmentPart
`AttachmentPartImpl(javax.activation.DataHandler dh)` Constructor AttachmentPart

Method Summary
`void` | `addMimeHeader(String header, String value)` Add the specified MIME header, as per JAXM.
`void` | `clearContent()` Clears out the content of this `AttachmentPart` object.
`void` | `detachAttachmentFile()` detach the attachment file from this class, so it is not cleaned up
`void` | `dispose()` when an attachment part is disposed, any associated files are deleted
`protected void` | `finalize()` on death, we clean up our file
`javax.activation.DataHandler` | `getActivationDataHandler()` Method getActivationDataHandler
`Iterator` | `getAllMimeHeaders()` Retrieves all the headers for this `AttachmentPart` object as an iterator over the `MimeHeader` objects.
`String` | `getAttachmentFile()` get the filename of this attachment
`Object` | `getContent()` Gets the content of this `AttachmentPart` object as a Java object.
`String` | `getContentId()` Content ID.
`String` | `getContentIdRef()` Content ID.
`String` | `getContentLocation()` Content location.
`String` | `getContentType()` getContentType
`javax.activation.DataHandler` | `getDataHandler()` Gets the `DataHandler` object for this `AttachmentPart` object.
`String` | `getFirstMimeHeader(String header)` Get the specified MIME header.
`Iterator` | `getMatchingMimeHeaders(String[] match)` Get all headers that match
`String[]` | `getMimeHeader(String name)` Gets all the values of the header identified by the given `String`.
`Iterator` | `getNonMatchingMimeHeaders(String[] match)` Get all headers that do not match
`int` | `getSize()` Returns the number of bytes in this `AttachmentPart` object.
`boolean` | `matches(javax.xml.soap.MimeHeaders headers)` check if this Part's mimeheaders matches the one passed in.
`void` | `removeAllMimeHeaders()` Removes all the MIME header entries.
`void` | `removeMimeHeader(String header)` Removes all MIME headers that match the given name.
`protected void` | `setAttachmentFile(String path)` set the filename of this attachment part
`void` | `setContent(Object object, String contentType)` Sets the content of this attachment part to that of the given `Object` and sets the value of the `Content-Type` header to the given type.
`void` | `setContentId(String newCid)` Sets Content-Id of this part.
`void` | `setContentLocation(String loc)` Set content location.
`void` | `setContentType(String contentType)`
`void` | `setDataHandler(javax.activation.DataHandler datahandler)` Sets the given `DataHandler` object as the data handler for this `AttachmentPart` object.
`void` | `setMimeHeader(String name, String value)` Changes the first header entry that matches the given name to the given value, adding a new header if no existing header matches.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttachmentPartImpl

    public AttachmentPartImpl()

  Constructor AttachmentPart

### AttachmentPartImpl

    public AttachmentPartImpl(javax.activation.DataHandler dh)

  Constructor AttachmentPart

Parameters:
  `dh` -

Method Detail

### finalize

    protected void finalize()
                     throws Throwable

  on death, we clean up our file

  Throws:
    `Throwable`

### getActivationDataHandler

    public javax.activation.DataHandler getActivationDataHandler()

  Method getActivationDataHandler

  Returns:

### getContentType

    public String getContentType()

  getContentType

  Specified by:
    `getContentType` in interface `Part`
  Returns:
    content type

### setContentType

    public void setContentType(String contentType)

### addMimeHeader

    public void addMimeHeader(String header,
                              String value)

  Add the specified MIME header, as per JAXM.

  Specified by:
    `addMimeHeader` in interface `Part`
  Parameters:
    `header` -
    `value` -

### getFirstMimeHeader

    public String getFirstMimeHeader(String header)

  Get the specified MIME header.

  Parameters:
    `header` -
  Returns:

### matches

    public boolean matches(javax.xml.soap.MimeHeaders headers)

  check if this Part's mimeheaders matches the one passed in. TODO: Am not sure about the logic.

### getContentLocation

    public String getContentLocation()

  Content location.

  Specified by:
    `getContentLocation` in interface `Part`

### setContentLocation

    public void setContentLocation(String loc)

  Set content location.

  Specified by:
    `setContentLocation` in interface `Part`
  Parameters:
    `loc` -

### setContentId

    public void setContentId(String newCid)

  Sets Content-Id of this part. already defined.

  Specified by:
    `setContentId` in interface `Part`
  Parameters:
    `newCid` - new Content-Id

### getContentId

    public String getContentId()

  Content ID.

  Specified by:
    `getContentId` in interface `Part`
  Returns:

### getMatchingMimeHeaders

    public Iterator getMatchingMimeHeaders(String[] match)

  Get all headers that match

  Specified by:
    `getMatchingMimeHeaders` in interface `Part`
  Parameters:
    `match` -
  Returns:

### getNonMatchingMimeHeaders

    public Iterator getNonMatchingMimeHeaders(String[] match)

  Get all headers that do not match

  Specified by:
    `getNonMatchingMimeHeaders` in interface `Part`
  Parameters:
    `match` -
  Returns:

### getAllMimeHeaders

    public Iterator getAllMimeHeaders()

  Retrieves all the headers for this `AttachmentPart` object as an iterator over the `MimeHeader` objects.

  Returns:
    an `Iterator` object with all of the Mime headers for this `AttachmentPart` object

### setMimeHeader

    public void setMimeHeader(String name,
                              String value)

  Changes the first header entry that matches the given name to the given value, adding a new header if no existing header matches. This method also removes all matching headers but the first.

  Note that RFC822 headers can only contain US-ASCII characters.

  Parameters:
    `name` - a `String` giving the name of the header for which to search
    `value` - a `String` giving the value to be set for the header whose name matches the given name
  Throws:
    `IllegalArgumentException` - if there was a problem with the specified mime header name or value

### removeAllMimeHeaders

    public void removeAllMimeHeaders()

  Removes all the MIME header entries.

### removeMimeHeader

    public void removeMimeHeader(String header)

  Removes all MIME headers that match the given name.

  Parameters:
    `header` - - the string name of the MIME header/s to be removed

### getDataHandler

    public javax.activation.DataHandler getDataHandler()
                                                throws javax.xml.soap.SOAPException

  Gets the `DataHandler` object for this `AttachmentPart` object.

  Returns:
    the `DataHandler` object associated with this `AttachmentPart` object
  Throws:
    `javax.xml.soap.SOAPException` - if there is no data in this `AttachmentPart` object

### setDataHandler

    public void setDataHandler(javax.activation.DataHandler datahandler)

  Sets the given `DataHandler` object as the data handler for this `AttachmentPart` object. Typically, on an incoming message, the data handler is automatically set. When a message is being created and populated with content, the `setDataHandler` method can be used to get data from various data sources into the message.

  Parameters:
    `datahandler` - `DataHandler` object to be set
  Throws:
    `IllegalArgumentException` - if there was a problem with the specified `DataHandler` object

### getContent

    public Object getContent()
                      throws javax.xml.soap.SOAPException

  Gets the content of this `AttachmentPart` object as a Java object. The type of the returned Java object depends on (1) the `DataContentHandler` object that is used to interpret the bytes and (2) the `Content-Type` given in the header.

  For the MIME content types "text/plain", "text/html" and "text/xml", the `DataContentHandler` object does the conversions to and from the Java types corresponding to the MIME types. For other MIME types,the `DataContentHandler` object can return an `InputStream` object that contains the content data as raw bytes.

  A JAXM-compliant implementation must, as a minimum, return a `String` object corresponding to any content stream with a `Content-Type` value of `text/plain` and a `javax.xml.transform.StreamSource` object corresponding to a content stream with a `Content-Type` value of `text/xml`. For those content types that an installed `DataContentHandler` object does not understand, the `DataContentHandler` object is required to return a `java.io.InputStream` object with the raw bytes.

  Returns:
    a Java object with the content of this `AttachmentPart` object
  Throws:
    `javax.xml.soap.SOAPException` - if there is no content set into this `AttachmentPart` object or if there was a data transformation error

### setContent

    public void setContent(Object object,
                           String contentType)

  Sets the content of this attachment part to that of the given `Object` and sets the value of the `Content-Type` header to the given type. The type of the `Object` should correspond to the value given for the `Content-Type`. This depends on the particular set of `DataContentHandler` objects in use.

  Parameters:
    `object` - the Java object that makes up the content for this attachment part
    `contentType` - the MIME string that specifies the type of the content
  Throws:
    `IllegalArgumentException` - if the contentType does not match the type of the content object, or if there was no `DataContentHandler` object for this content object
  See Also:
    `getContent()`

### clearContent

    public void clearContent()

  Clears out the content of this `AttachmentPart` object. The MIME header portion is left untouched.

### getSize

    public int getSize()
                throws javax.xml.soap.SOAPException

  Returns the number of bytes in this `AttachmentPart` object.

  Returns:
    the size of this `AttachmentPart` object in bytes or -1 if the size cannot be determined
  Throws:
    `javax.xml.soap.SOAPException` - if the content of this attachment is corrupted of if there was an exception while trying to determine the size.

### getMimeHeader

    public String[] getMimeHeader(String name)

  Gets all the values of the header identified by the given `String`.

  Specified by:
    `getMimeHeader` in interface `Part`
  Parameters:
    `name` - the name of the header; example: "Content-Type"
  Returns:
    a `String` array giving the value for the specified header
  See Also:
    `setMimeHeader(String, String)`

### getContentIdRef

    public String getContentIdRef()

  Content ID.

  Specified by:
    `getContentIdRef` in interface `Part`
  Returns:
    the contentId reference value that should be used directly as an href in a SOAP element to reference this attachment. Not part of JAX-RPC, JAX-M, SAAJ, etc.

### setAttachmentFile

    protected void setAttachmentFile(String path)

  set the filename of this attachment part

  Parameters:
    `path` -

### detachAttachmentFile

    public void detachAttachmentFile()

  detach the attachment file from this class, so it is not cleaned up

### getAttachmentFile

    public String getAttachmentFile()

  get the filename of this attachment

  Returns:
    the filename or null for an uncached file

### dispose

    public void dispose()

  when an attachment part is disposed, any associated files are deleted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.